routes/web.php
        route::get('nota-perhitungan-excel', 'LhpController@notaPerhitunganExcel');
        route::get('nota-perhitungan-hapus/{id}', 'LhpController@notaPerhitunganhapus');
        route::get('kantor-switch/{id}', 'penelitianKantorController@switchPenelitian');
        route::get('lapangan-switch/{id}', 'penelitianLapanganController@switchPenelitian');
        route::post('kantor-pecah', 'penelitianKantorController@savePecah');
        route::get('kantor-pecah-proses', 'penelitianKantorController@savePecahFinal');
        route::get('kantor-pecah-list', 'penelitianKantorController@dataPecah');
        route::post('kantor-tolak/{id}', 'penelitianKantorController@SimpanTolak')->name('kantor.tolak');
        route::resource('kantor', 'penelitianKantorController')->middleware(['permission:penelitian.kantor.menu']);
        route::resource('lapangan', 'penelitianLapanganController')->middleware(['permission:penelitian.lapangan.menu']);
        route::get('objek-penelitian', 'penelitianLapanganController@listObjekPenelitian');
        route::get('cetak-spop/{formulir}', 'spopController@cetakSpop');
        route::get('sk', 'SuratKeputusanController@index')->middleware(['permission:penelitian.sk.menu']);
        route::get('sk_cetak', 'SuratKeputusanController@cetak');
    });
    route::get('besembilan', 'besembilanController@index')->middleware(['permission:besembilan.menu']);
    route::get('pelimpahan', 'besembilanController@indexPelimpahan');
    Route::group(['prefix' => 'dbkb', 'as' => 'dbkb.'], function () {
        Route::resource('harga-fasilitas', 'HrgFasilitasController')->only(['index', 'create', 'store']);
        Route::get('harga-fasilitas-export', 'HrgFasilitasController@exportPdf')->name('harga-fasilitas.export');
        Route::resource('daya-dukung', 'DbkbDayaDukungController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-dua', 'DbkbJpbDuaController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-tiga', 'DbkbJpbTigaController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-empat', 'DbkbJpbEmpatController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-lima', 'DbkbJpbLimaController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-enam', 'DbkbJpbEnamController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-tujuh', 'DbkbJpbTujuhController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-delapan', 'DbkbJpbDelapanController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-sembilan', 'DbkbJpbSembilanController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-dua-belas', 'DbkbJpbDuaBelasController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-tiga-belas', 'DbkbJpbTigaBelasController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-empat-belas', 'DbkbJpbEmpatBelasController')->only(['index', 'create', 'store', 'edit', 'update']);
        Route::resource('jepebe-lima-belas', 'DbkbJpbLimaBelasController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-enam-belas', 'DbkbJpbEnamBelasController')->only(['index', 'create', 'store']);
        route::resource('mezanine', 'dbkbMezanineController');
    });

    Route::group(['prefix' => 'ssh', 'as' => 'ssh.'], function () {
        Route::get('harga-resource-cetak/{tahun}/{tipe}', 'HrgResourceController@cetak')->name('harga-resource.cetak');
        Route::resource('harga-resource', 'HrgResourceController')->only(['index', 'create', 'store']);
        Route::resource('harga-kegiatan', 'HrgKegiatanController')->only(['index', 'create', 'store']);
        Route::get('harga-kegiatan.export', 'HrgKegiatanController@exportPdf')->name('harga-kegiatan.export');
    });
    Route::group(['prefix' => 'potongan', 'as' => 'potongan.'], function () {
        route::get('/', 'MsPotonganController@listPotongan')->name('index');
        route::get('/excel', 'MsPotonganController@listPotonganExcel')->name('excel');
        route::get('/rekap', 'MsPotonganController@RekapPotongan')->name('rekap');
    });

    route::resource('kelola-nop', 'KelolaNopController')->middleware('wajibPajakVerification');
    // route::get('kelola-nop-verifikasi/{id}', 'KelolaNopController@verifikasi');
    // route::post('kelola-nop-verifikasi/{id}', 'KelolaNopController@verifikasiStore');
    route::post('kelola-nop-preview', 'KelolaNopController@previewNop');
    route::resource('kelola-nop-verifikasi', 'KelolaNopVerifikasiController')->only(['index', 'edit', 'update']);
    route::resource('kelola-objek-verifikasi', 'KelolaObjekVerifikasi');


    route::post('permohonan-pengelola-objek/{id}', 'KelolaNopController@storePermohonanPengelola');

    route::resource('kelola-developer', 'kelolaDeveloperController');
    // route::resource('kelola-developer-verifikasi', 'KelolaDeveloperVerifikasiController')->only(['index', 'edit', 'update']);
    route::resource('kelola-rayon', 'KelolaRayonController');
});


route::get('tes', function (Request $request) {
    $url = 'http://localhost/simpbb/esppt?nop=3507260001017053902023';
    return view("iframe", compact('url'));
});

Route::get('esppt', function (Request $request) {
    $nop = $request->nop;
    return Esppt::generate($nop);
});

Route::get('/qrsppt', function (Request $request) {
    $nop = $request->nop;
    $url = url('esppt') . '?nop=' . $nop;
    return  \QrCode::size(200)
        ->style('square')
        ->generate($url);
});



route::get('penelitian/nota-perhitungan-pdf/{id}', 'LhpController@notaPerhitunganPdf');
Route::get('menus', 'MenuController@index');
Route::get('menus-show', 'MenuController@show');
Route::post('menus', 'MenuController@store')->name('menus.store');
Route::patch('menus-update/{id}', 'MenuController@updateFunction')->name('menus.update');
Route::get('menu-hapus/{id}', 'MenuController@hapus');
Route::get('menus/create', 'MenuController@create')->name('menus.create');
Route::get('menus/{id}', 'MenuController@edit')->name('menus.edit');
route::get('sk/{ide}', 'SuratKeputusanController@cetakSK');
route::get('sk-tte', 'SuratKeputusanController@ContohSkTte');


Route::group(['middleware' => ['auth', 'isOn']], function () {

    // pembayaran-qris
    route::resource('pembayaran-qris', 'QrisController')->only(['index', 'show']);
    route::get('pembayaran-qris-cetak', 'QrisController@cetak');
    // pembayaran-va
    route::resource('pembayaran-va', 'VirtualController')->only(['index', 'show']);
    route::get('pembayaran-va-cetak', 'VirtualController@cetak');
    // pembayaran-va.show
    // route::get('pembayaran-va/')


    // pembayaran-va.show

    Route::get('pembayaran-blokir-nop', 'LaporanAnalisaController@pembayaranblokirnop')->name('pembayaran.blokir.nop');
    Route::group(['prefix' => 'pembayaran-blokir', 'as' => 'pembayaran.blokir.'], function () {
        Route::get('verifikasi', 'LaporanAnalisaController@pembayaranblokirverifikasi')->name('verifikasi');
        Route::get('verifikasi/{trx}', 'LaporanAnalisaController@pembayaranblokirverifikasiForm')->name('verifikasi-form');
        Route::post('verifikasi/{trx}', 'LaporanAnalisaController@pembayaranblokirverifikasiFormStore')->name('verifikasi-form.store');
        Route::post('upload', 'LaporanAnalisaController@blokirUpload')->name('upload');
        Route::post('buka-blokir', 'LaporanAnalisaController@bukaBlokir')->name('buka');
        Route::post('buka-blokir-trx', 'LaporanAnalisaController@bukaBlokirMasal')->name('bukamasal');
        Route::get('pdf/{trx}', 'LaporanAnalisaController@pembayaranTerblokirPdf')->name('pdf');
        Route::get('/', 'LaporanAnalisaController@pembayaran_terblokir')->name('index');
        // pendataan/penangguhan?tab=Koreksi%20Piutang
        Route::get('/{trx}', 'LaporanAnalisaController@pembayaranTerblokirDetail')->name('show');
        Route::post('/', 'LaporanAnalisaController@pembayaran_terblokir_store')->name('store');
    });

    Route::group(['prefix' => 'pendataan', 'as' => 'pendataan.'], function () {
        route::get('/', 'PendataanController@index')->name('index');
        route::get('/cetak', 'PendataanController@cetak_listpendataan')->name('cetak_listpendataan');
        route::get('/{id}/edit', 'PendataanController@edit')->name('edit');
        route::post('/edit/{id}', 'PendataanController@update')->name('update');
        route::get('/hapus-pendataan/{id}', 'PendataanController@destroy')->name('delete');
        route::get('/show/{id}', 'PendataanController@show')->name('show');
        route::get('/show-text/{id}', 'PendataanController@showModal')->name('show-modal');
        route::get('/create', 'PendataanController@create')->name('create');
        route::post('/', 'PendataanController@store')->name('store');
        route::get('/import', 'PendataanController@formImport')->name('import');
        route::post('/import-preview', 'PendataanController@previewImport')->name('import.preview');
        route::post('/import-store', 'PendataanController@storeImport')->name('import.store');
        route::get('/cetak-draft-pdf/{id}', 'PendataanController@draftPdf')->name('draft.pdf');
        route::get('/verifikasi', 'PendataanController@indexVerifikasi')->name('verifikasi');
        route::get('/verifikasi-form/{id}', 'PendataanController@showVerifikasi')->name('verifikasi.form');
        route::post('/verifikasi-simpan', 'PendataanController@storeVerifikasi')->name('verifikasi.store');
        route::get('/verifikasi-peta', 'PendataanController@indexVerifikasiPeta')->name('verifikasi.peta');
        route::get('/verifikasi-peta-form/{id}', 'PendataanController@showVerifikasiPeta')->name('verifikasi.peta.form');
        route::post('/verifikasi-peta-simpan', 'PendataanController@storeVerifikasiPeta')->name('verifikasi.peta.store');
        route::get('pembatalan-sistep', 'PendataanController@formPembatalanSistep');

resources/views/ssh/satuan/_form.blade.php
<div class=" table-responsive-sm">
    <table class="table table-condensed table-sm table-sm table-hover ">
        <thead class="bg-info">
            <tr>
                <th class="text-center" colspan="2">Resource</th>
                <th class="text-center">Satuan</th>
                <th class="text-center" colspan="2">Harga Thn {{ $tahun-1 }}</th>
                <th class="text-left">Harga {{ $tahun }}</th>
            </tr>
        </thead>
        <tbody>
            @php
            $i=1;
            @endphp
            @foreach ($grouped as $key=> $item)
            <tr>
                <th colspan="6">{{ $i.'. '.$key }}</th>
            </tr>
            @php
            $ii=1;
            @endphp
            @foreach ($item as $list)
            @php
            switch ($list->satuan_resource) {
            case 'M2':
            # code...
            $satuan="M<sup>2</sup>";
            break;
            case 'M3':
            # code...
            $satuan="M<sup>3</sup>";
            break;
            default:
            # code...
            $satuan=$list->satuan_resource;
            break;
            }
            @endphp
            <tr>
                <td width="15px"></td>
                <td>{{ $i.'.'.$ii }}. {{ $list->nm_resource }} </td>
                <td class="text-center"><?= $satuan ?></td>
                <td class="text-right">{{ angka($list->hrg_tahun_lalu*1000) }}</td>
                <td width="50px"></td>
                <td class="text-right">
                    <input type="hidden" name="kd_propinsi[]" value="35">
                    <input type="hidden" name="kd_kanwil[]" value="01">
                    <input type="hidden" name="kd_kantor[]" value="01">
                    <input type="hidden" name="kd_dati2[]" value="07">
                    <input type="hidden" name="no_dokumen[]" value="{{ date('Ymd') }}002">
                    <input type="hidden" name="thn_hrg_resource[]" value='{{ $tahun }}'>
                    <input type="hidden" name="kd_group_resource[]" value="{{ $list->kd_group_resource }}">
                    <input type="hidden" name="kd_resource[]" value="{{ $list->kd_resource }}">
                    @php
                    $hrg_skrg=$list->hrg_tahun_skrg<>''?angka($list->hrg_tahun_skrg*1000):'';
                        if($hrg_skrg=='' && $list->hrg_tahun_lalu!=''){
                        $hrg_skrg=$list->hrg_tahun_lalu<>''?angka($list->hrg_tahun_lalu*1000):'';
                            }
                            @endphp

                            <input type="text" name="hrg_resource[]" class="form-control form-control-sm angka rupiah" value="{{  $hrg_skrg }}">
                </td>
            </tr>
            @php
            $ii++;
            @endphp

            @endforeach
            @php
            $i++;
            @endphp
            @endforeach
        </tbody>
    </table>
</div>
<div class="float-right">
    <button class="btn btn-sm btn-flat btn-primary"><i class="fas fa-save"></i> Simpan</button>
    <a href="{{ route('ssh.harga-resource.index') }}" class="btn btn-sm btn-flat btn-warning"><i class="far fa-window-close"></i> Batal</a>
</div>
<script>
    $(function() {
        $(".rupiah").on("keyup", function() {
            var angka = $(this).val();
            var convert = formatRupiah(angka);
            $(this).val(convert);
        });
    })

</script>

resources/views/ssh/satuan/_index.blade.php
<div class=" table-responsive-sm">
    <table class="table table-condensed table-sm table-sm table-hover ">
        <thead class="bg-info">
            <tr>
                <th class="text-center">Pekerjaan</th>
                <th class="text-center">Kegiatan</th>
                <th class="text-right">Harga</th>
            </tr>
        </thead>
        <tbody>
            @php
            $i=1;
            @endphp
            @foreach ($grouped as $key=> $item)
            <tr>
                <th colspan="3">{{ $i.'. '.$key }}</th>
            </tr>
            @php
            $ii=1;
            @endphp
            @foreach ($item as $list)

            <tr>
                <td width="15px"></td>
                <td>{{ $i.'.'.$ii }}. {{ $list->nm_kegiatan }} </td>
                <td class="text-right">{{ angka($list->hrg_satuan*1000) }}</td>
            </tr>
            @php
            $ii++;
            @endphp

            @endforeach
            @php
            $i++;
            @endphp
            @endforeach
        </tbody>
    </table>
</div>

resources/views/ssh/satuan/exportPdf.blade.php
<html>
<head>
    @include('layouts.style_pdf')
</head>
<body>
    @include('layouts.kop_pdf')
    <p class="text-tengah"><b>HARGA Kegiatan {{ $tahun }}</b></p>
    @include('ssh.satuan._index', compact('grouped'))
</body>
</html>

resources/views/ssh/satuan/form.blade.php
@extends('layouts.app')

@section('content')
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1>Resource</h1>
            </div>
            <div class="col-sm-6">
                <div class="float-sm-right">

                </div>
            </div>
        </div>
    </div><!-- /.container-fluid -->
</section>
<section class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body p-2">
                        <form action="{{ route('ssh.harga-resource.store') }}" method="POST">
                            @csrf
                            @method('post')
                            <div class="row">
                                <div class="col-md-2">
                                    <div class="form-group row">
                                        <label for="tahun" class="col-sm-6 col-form-label">Tahun</label>
                                        <div class="col-sm-6">
                                            <input type="text" class="form-control angka" name="tahun" id="tahun" value="{{ date('Y') }}" placeholder="Tahun" maxlength="4" autofocus>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-12">
                                    <div id="konten"></div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection
@section('script')
<script>
    $(function() {
        // $('#tahun').trigger('change')

        loaddata($('#tahun').val())

        function loaddata(thn) {
            if (thn.length == 4) {
                openloading()
                $.ajax({
                    url: "{{ route('ssh.harga-resource.create') }}"
                    , data: {
                        'tahun': thn
                    }
                    , success: function(res) {
                        closeloading()
                        $('#konten').html(res)
                    }
                })
            } else {
                $('#konten').html('')
            }
        }


        $('#tahun').on('keyup change', function(e) {
            thn = $('#tahun').val()
            loaddata(thn)
        })
    });

</script>
@endsection

resources/views/ssh/satuan/index.blade.php
@extends('layouts.app')

@section('content')
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1>Kegiatan</h1>
            </div>
            <div class="col-sm-6">
                <div class="float-sm-right">
                </div>
            </div>
        </div>
    </div><!-- /.container-fluid -->
</section>
<section class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body p-2">
                        <div class="row">
                            <div class="col-md-2">
                                <div class="form-group row">
                                    <label for="tahun" class="col-sm-6 col-form-label">Tahun</label>
                                    <div class="col-sm-6">
                                        <input type="text" class="form-control angka" name="tahun" id="tahun" value="{{ date('Y') }}" placeholder="Tahun" maxlength="4" autofocus>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-10">
                                <div class="float-right">
                                    <button class="btn btn-flat btn-sm btn-warning" type="button" id="cetak"> <i class="fas fa-print"></i> Cetak</button>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <div id="konten"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection
@section('script')
<script>
    $(function() {
        // $('#tahun').trigger('change')

        loaddata($('#tahun').val())

        function loaddata(thn) {
            if (thn.length == 4) {
                openloading()
                $.ajax({
                    url: "{{ route('ssh.harga-kegiatan.index') }}"
                    , data: {
                        'tahun': thn
                    }
                    , success: function(res) {
                        closeloading()
                        $('#konten').html(res)
                    }
                })
            } else {
                $('#konten').html('')
            }
        }


        $('#tahun').on('keyup change', function(e) {
            thn = $('#tahun').val()
            loaddata(thn)
        })

        
        $('#cetak').on('click', function(e) {
            e.preventDefault()
            url = "{{ route('ssh.harga-kegiatan.export') }}?tahun=" + $('#tahun').val()
            window.open(url, '_blank')
        })
    });

</script>
@endsection